     @import url('https://fonts.googleapis.com/css2?family=Anuphan:wght@100..700&family=Barlow+Semi+Condensed:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

html, body{
    font-family: "Barlow Semi Condensed", "Anuphan" !important;
    color: #000000;
}

select, input, textarea{
    font-family: "Barlow Semi Condensed", "Anuphan" !important;
}
        .gg2 .color-checkbox {
            width: 100%;
            height: auto;
 
        }

        .gg2 .color-checkbox .fa-circle-check {
    top: 20px;
    left: 20px;
}
        .color-checkbox {
            width: 100%;
            height: auto;
            border-radius: 0;
/*            margin-right: 10px;*/
            cursor: pointer;
            display: inline-block;
            border: 2px solid transparent;
            position: relative;
 
        }

        .color-checkbox.selected {
/*            border: 1px solid #3d3d3d;*/
/*            box-shadow: 0 0 0 2px rgba(0, 0, 0, 0.2);*/
        }

.scooterImage {
  position: absolute;
  top: 0;

  width: 100%; /* หรือ auto แล้วแต่การออกแบบ */
  height: 100%;
  object-fit: contain;
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
  z-index: 1;
}
.scooterImage.active {
  opacity: 1;
  z-index: 2;
}

       .options img{
            opacity: 0.3;
            transition: opacity 0.3s;
        }

        .options.selected img{
            opacity: 1;
            transition: opacity 0.3s;
        }

        .options:hover img{
            opacity: 1;
            transition: opacity 0.3s;
        }

/*         .color-checkbox .fa-circle-check {
        color: white;
        font-size: 24px;
        position: absolute;
        top: 50%;
        left: 5%;
        transform: translate(-50%, -50%);
        display: none;
        pointer-events: none;
            border-radius: 100%;
    background: #000;
    border: 2px solid #000;
    }

    .color-checkbox.checked .fa-circle-check {
        display: block;
    }*/

    .clblack{
        color: #000;
    }


          .color-checkbox .fa-circle-check {
        position: absolute;
        top: 50%;
        left: 5%;
        transform: translate(-50%, -50%);
        display: none;
        pointer-events: none;
        width: 24px;
        height: 24px;
    }

    .color-checkbox.checked .fa-circle-check {
        display: block;
    }

        input[type="checkbox"] {
            display: none;
        }

       /* .txtselectcolor{
            font-size: 18px;
            font-weight: 600;
        }*/
        .fs14{
            font-size: 14px;
        }

        .fs18{
            font-size: 18px;
        }



    /*    .bximg {
            width: 100%;
            max-width: 550px;
        }
*/
        .bximg {
    width: auto;
    height: 620px;
    max-height: 620px;
}

        .bxcvimg {
    width: auto;
    height: 620px;
    max-height: 620px;
}



.boxapcv{
            bottom: 160px;
        }

        .boxap{
            bottom: 0px;
        }

         .bximgshd {
            width: 100%;
            max-width: 750px;
        }

@keyframes breathing {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.02); /* ขยายเล็กน้อย */
  }
  100% {
    transform: scale(1);
  }
}

.bximgpanther {
  opacity: 0;
  transition: opacity 1s ease;
}

.bximgpanther.opacity-high {
  opacity: 0.8;
/*  animation: breathing 2s ease-in-out infinite;*/
}

.bximgpanther.opacity-low {
  opacity: 0;
  animation: breathing 4s ease-in-out infinite;
}

#scooterImage {
  opacity: 1;
  transform: translateY(0);
  transition: opacity 0.3s ease;
}

#scooterImage.fade-out {
  opacity: 0;
  transition: opacity 0.1s ease;
}

#scooterImageCanvas {
  opacity: 1;
  transform: translateY(0);
  transition: opacity 0.3s ease;
}

#scooterImageCanvas.fade-out {
  opacity: 0;
  transition: opacity 0.1s ease;
}



        .boxxcustom{
            width: 100%;
            min-width: 400px;
            max-width: 400px;
            background: #ffffff;
            overflow-y: auto;
            position: relative;
        }

        .hv{
            height:100vh;
        }

        .logo{
            width: 150px;
        }

        .boxprice {
    position: sticky;
    bottom: 0;
    padding: 20px 20px;
    background: #fff;
    color: #000;
    border-radius: 50px 50px 0 0;
    box-shadow: 0 -5px 20px -5px rgb(0 0 0 / 25%);
        
        }

        .btnorder{
            background: #f00;
        }

        .btnorder:hover{
            background: #cd0000;
        }


        .btnsave{
            background: #484848;
        }

        .btnsave:hover{
            background: #343434;
        }


        .boxmotor{
            position: relative;
            z-index: 1;
            height: 100%;
            background-position: center !important; 
            background-size: cover !important;
        }

        .boxmotorcv{
            position: relative;
            z-index: 1;
            height: 100%;
        }

         #visualizer {
    width: 100%;
    height: 40px;
    display: block;
    background: #222;
  }

  .fs10{
    font-size: 10px;
  }

  .fsprice {
    font-size: 36px;
  }


  .bg-option {
  position: relative;
  display: inline-block;
  cursor: pointer;
}

.bg-option input[type="checkbox"] {
  display: none;
}

.bg-option img {
  width: 100px;
  height: 60px;
  object-fit: cover;
  border: 2px solid transparent;
  border-radius: 6px;
  transition: 0.3s;
}

.bg-option .icon-check {
  position: absolute;
  top: 5px;
  right: 5px;
  font-size: 20px;
  color: #FFF;
  display: none;
}

/* เมื่อเลือกแล้ว */
.bg-option input[type="checkbox"]:checked + img {
  border: 2px solid #FFF;
}

.bg-option input[type="checkbox"]:checked ~ .icon-check {
  display: block;
}

.boxtop{
    position: sticky;
    top: 0;
    padding: 10px;
    z-index: 100;
    background: #fff;
}

.fstopicboxsum{
    font-size: 15px;
}

.fsboxsum{
    font-size: 14px;
}


.boxsum {
  width: 100%;         /* กินเต็มความกว้าง container */
  max-width: 680px;    /* หรือกำหนด max ตามที่ต้องการ */
  aspect-ratio: 1 / 1; /* สูง = กว้าง */
  margin: 0 auto;      /* จัดกลาง */
  position: relative;  /* ให้กล่องลูกที่ absolute อยู่ในนี้ */
  overflow: hidden;
}

.boxmotorsum {
  position: relative;    /* ต้อง relative เพื่อให้ลูกที่ absolute อยู่ถูกตำแหน่ง */
  width: 100%;
  height: 100%;         /* สูงเต็ม .boxsum */
  background-position: center;
  background-size: cover;
}

.boxmotorsum > .position-absolute {
  /* ปรับตำแหน่งให้สัมพันธ์กับ container */
  position: absolute;
}

.boxapsum {
  left: 50%;
  transform: translateX(-50%);
  top: 22%; /* ปรับตามต้องการให้อยู่กลางหรือที่เหมาะสม */
  width: 80%; /* ปรับขนาดรถตามเหมาะสม */
}

.boxtxtsum{
    width: 45%;
}

.bxsumimg {
  width: 55%;
  height: auto;
  display: block;
  object-fit: contain; /* รักษาอัตราส่วนภาพ */
  margin-left: 25%;
}

@media only screen and (max-width: 1600px) {
   .bximg {
    width: auto;
    height: 450px;
    max-height: 450px;
}

.logo{
    width: 100px;
}
}

 @media only screen and (max-height: 650px) {
.bximg {
    width: auto;
    height: 450px;
    max-height: 450px;
}
}

 @media only screen and (max-height: 540px) {
.bximg {
    width: auto;
    height: 300px;
    max-height: 300px;
}
}

@media only screen and (max-width: 1400px) {
.fstopicboxsum{
    font-size: 12px;
}

.fsboxsum{
    font-size: 11px;
}
}

    @media only screen and (max-width: 1200px) {

.fstopicboxsum{
    font-size: 10px;
}

.fsboxsum{
    font-size: 9px;
}


    }



        @media only screen and (max-width: 992px) {
            .boxtop{
    position: static;
    top: 0;
    padding: 10px;
    z-index: 100;
    background: #fff;
}

.fstopicboxsum{
    font-size: 14px;
}

.fsboxsum{
    font-size: 13px;
}

.boxxcustom{
    margin-top: 300px;
}

.boxmodel{
    min-height: 300px;
    position: fixed;
    z-index: 2;
    background: #d5d4d2;
    height: 300px !important;
}

.logo{
    width: 100px;
}

  .boxxcustom{
            width: 100%;
            min-width: 100%;
            max-width: 100%;
            height: 100%;
            overflow-y: initial;
        }

        .hv{
            height:auto;
        }

    /*    .bximg {
            width: 100%;
            max-width: 250px;
        }*/

             .bximg {
    width: auto;
    height: 220px;
    max-height: 220px;
}

         .bximgshd {
            width: 100%;
            max-width: 300px;
        }

        .boxap{
            bottom: -50px;
        }

        .boxmotor{
            position: fixed;
            z-index: 1;
            height: 300px;
            max-width: 430px;
            background-position: bottom center !important; 
            background-size: cover !important;
        }

          .btnorder{
           font-size: 15px;
        }


        .btnsave{
          font-size: 15px;
        }



}

@media only screen and (max-width: 767px) {
.fstopicboxsum{
    font-size: 11px;
}

.fsboxsum{
    font-size: 10px;
}
}

@media only screen and (max-width: 430px) {
.fstopicboxsum{
    font-size: 8px;
}

.fsboxsum{
    font-size: 7px;
}
}